Package net.md_5.bungee.protocol.packet

# Enum Team.CollisionRule

java.lang.Object
java.lang.Enum<Team.CollisionRule>
net.md_5.bungee.protocol.packet.Team.CollisionRule

All Implemented Interfaces:
  `Serializable`, `Comparable<Team.CollisionRule>`

Enclosing class:
  Team

public static enum Team.CollisionRule extends Enum<Team.CollisionRule>

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  `NEVER`
  `PUSH_OTHER_TEAMS`
  `PUSH_OWN_TEAM`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getKey()`
  `static Team.CollisionRule`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static Team.CollisionRule[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALWAYS

    public static final Team.CollisionRule ALWAYS

  - ### NEVER

    public static final Team.CollisionRule NEVER

  - ### PUSH_OTHER_TEAMS

    public static final Team.CollisionRule PUSH_OTHER_TEAMS

  - ### PUSH_OWN_TEAM

    public static final Team.CollisionRule PUSH_OWN_TEAM

- ## Method Details

  - ### values

    public static Team.CollisionRule[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static Team.CollisionRule valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getKey

    public String getKey()